//go:build upsampling

package main

import (
	"flag"
	"image"

	"git.nkpl.cc/twocookedfaggots/imageutils"
	"git.nkpl.cc/twocookedfaggots/imageutils/util"
)

var scale = flag.Int("n", 2, "rescale by factor")

func main() {
	flag.Parse()
	if err := util.ProcessStdio(func(img image.Image) image.Image {
		return imageutils.Scale(img, *scale)
	}); err != nil {
		panic(err)
	}
}
